Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#126 Le 19/06/2010, à 22:15

Breton-agacé

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonjour à tous,

Alors voilà, j'ai tenter d'installer dofus 2 mais au bout d'un moment lors de l'installation, un message apparaît et m'informe que pour pouvoir passer à cette version de dofus il me faut le fameux dofusAIRruntime. Je me rend donc sur le site, je télécharge le fichier mais lors de son exécution je rencontre le problème suivant:

sanstitre3uo.png

J'ai bien essayé de comprendre les messages faisant part des problèmes précédemment rencontrés mais étant donné que je ne m'y connais absolument pas en informatique j'ai à vrai dire rien compris...

Quelqu'un aurait-il la patience de m'aider SVP, en m'expliquant comment faire pour remédier à ce problème et si possible en prenant compte que je ne m'y connais pas du tout en "scripts", en "paquets", en "commandes" (d'ailleurs si vous pourriez m'expliquer d'où sorte les "codes" que vous mettez sa serai sympa),   Merci a ceux qui voudront bien m'aider!

PS: Je suis sous Windows xp média center édition.

Hors ligne

#127 Le 20/06/2010, à 12:05

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Breton-agacé a écrit :

Bonjour à tous,

Alors voilà, j'ai tenter d'installer dofus 2 mais au bout d'un moment lors de l'installation, un message apparaît et m'informe que pour pouvoir passer à cette version de dofus il me faut le fameux dofusAIRruntime. Je me rend donc sur le site, je télécharge le fichier mais lors de son exécution je rencontre le problème suivant:

http://img217.imageshack.us/img217/9959 … tre3uo.png

J'ai bien essayé de comprendre les messages faisant part des problèmes précédemment rencontrés mais étant donné que je ne m'y connais absolument pas en informatique j'ai à vrai dire rien compris...

Quelqu'un aurait-il la patience de m'aider SVP, en m'expliquant comment faire pour remédier à ce problème et si possible en prenant compte que je ne m'y connais pas du tout en "scripts", en "paquets", en "commandes" (d'ailleurs si vous pourriez m'expliquer d'où sorte les "codes" que vous mettez sa serai sympa),   Merci a ceux qui voudront bien m'aider!

PS: Je suis sous Windows xp média center édition.

Salut,

J'ai comme l'impression que tu t'es trompé de forum.
Je vais quand même essayer de t'aider même si je n'ai pas une grande connaissance de Windows.
Tentes de désinstaller complètement AIR par ajout/suppression de programme. Ensuite tu supprimes le répertoire dans Program Files si il existe toujours.
Enfin tu le réinstalles en le téléchargeant depuis le site d'Adobe.

Si ça ne marche pas , vas poster sur le forum officiel de Dofus.

Hors ligne

#128 Le 20/06/2010, à 19:38

Breton-agacé

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Merci de ta réponse, je vais donc maintenant m'orienter sur le forum de dofus.

A+

Hors ligne

#129 Le 20/06/2010, à 21:34

Perturabo

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Merci à toi Yoann, je vois en plus que nous jouons sur le même serveur smile

/w Perturabo

Merci beaucoup, à la prochaine

Hors ligne

#130 Le 24/06/2010, à 15:50

Milkado

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Bonjour a tous. J'ai suivi le tuto et les deux icones dofus_direct et dofus_updater se sont installés. Mais l'updater ne se lance pas ...
J'ai une livebox et il est dis que "une solution consiste à mettre dans les réglages que vous utilisez un proxy sur le port 80."
Je ne sais pas du tout comment faire, quelqu'un peut m'expliquer ?
Je suis sous Mandriva avec Firefox
Merci a vous.

Hors ligne

#131 Le 24/06/2010, à 18:13

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Milkado a écrit :

Bonjour a tous. J'ai suivi le tuto et les deux icones dofus_direct et dofus_updater se sont installés. Mais l'updater ne se lance pas ...
J'ai une livebox et il est dis que "une solution consiste à mettre dans les réglages que vous utilisez un proxy sur le port 80."
Je ne sais pas du tout comment faire, quelqu'un peut m'expliquer ?
Je suis sous Mandriva avec Firefox
Merci a vous.

Salut,

On va faire plusieurs vérifications d'abord :
Faits moi les commandes suivantes depuis ton terminal

ls -l ~/Dofus_Paquet/share
~/Dofus_Paquet/share/UpLauncher

Tu me mettra ce que te renvoie chaque commande et si la dernière lance l'updater.

Concernant le réglage du proxy c'est uniquement si il y a des problèmes de connexion une fois l'updater lancé.

Hors ligne

#132 Le 24/06/2010, à 19:35

christ02

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

bonjour  , je suis tout nouveau sur mandriva 10 et j'ai exactement le même problème que milkado .
j'ai executé tes lignes de commande qui donne ceci :

-rwxr-xr-x 1 christophe christophe  1010704 2009-12-02 13:29 7z*
-rw-r--r-- 1 christophe christophe  1394383 2010-04-02 16:16 DofusInvoker.swf
-rw-r--r-- 1 christophe christophe      160 2010-04-02 16:16 games.xml
drwxr-xr-x 2 christophe christophe     4096 2010-06-24 18:53 icon/
-rwxr-xr-x 1 christophe christophe       29 2009-12-02 13:41 launch-dofus.sh*
drwxr-xr-x 3 christophe christophe     4096 2010-06-24 18:53 META-INF/
-rw-r--r-- 1 christophe christophe       59 2010-04-02 16:16 mimetype
drwxr-xr-x 4 christophe christophe     4096 2010-06-24 18:53 reg/
-rwxr-xr-x 1 christophe christophe 11192065 2009-12-02 13:29 UpLauncher*

le launcher ne se lance pas et sa me renvoi se message 

/home/christophe/Dofus_Paquet/share/UpLauncher: error while loading shared libraries: libjpeg.so.62: cannot open shared object file: No such file or directory
[christophe@localhost ~]$

merci .

Hors ligne

#133 Le 24/06/2010, à 19:53

Milkado

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Cela donne la meme chose pour moi smile

Hors ligne

#134 Le 24/06/2010, à 21:53

david385

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Moi cete manip me donne sa :

[david@David385 ~]$ ls -l ~/Dofus_Paquet/share
total 13396
-rwxr-xr-x. 1 david david  1010704  2 déc.   2009 7z
-rw-rw-r--. 1 david david        0 24 juin  20:24 com.ankama.dofus2.lock
-rw-r--r--. 1 david david  1394383  2 avril 16:16 DofusInvoker.swf
-rw-r--r--. 1 david david      160  2 avril 16:16 games.xml
drwxr-xr-x. 2 david david     4096 23 juin  17:12 icon
-rwxr-xr-x. 1 david david       29  2 déc.   2009 launch-dofus.sh
drwxr-xr-x. 3 david david     4096 23 juin  17:12 META-INF
-rw-r--r--. 1 david david       59  2 avril 16:16 mimetype
drwxr-xr-x. 4 david david     4096 23 juin  17:12 reg
drwxrwxr-x. 3 david david     4096 23 juin  19:30 ui
-rwxr-xr-x. 1 david david 11192065  2 déc.   2009 UpLauncher
-rw-rw-r--. 1 david david    77158 24 juin  21:47 uplauncher.log
-rw-rw-r--. 1 david david      578 24 juin  21:47 uplauncher.xml
[david@David385 ~]$ ~/Dofus_Paquet/share/UpLauncher


étant tous nouveaux sur linux que quel que jours !! je dois avouer etre perdu ! je marche sur fedora 13 si sa pe vous aider !!

Hors ligne

#135 Le 24/06/2010, à 21:53

david385

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

bonjours j'ai suivi toutes les info necessaire pour installer dofus 2.0 sur fedora 13 . Adobe air est bien installe dofus egalement seul probleme lorsque je lance dofus par Dofus Updater il me dis dans une fenetre UpLancher Error : reading zip stream (entry reg/content/audio/barks/1401202.mp3) : bad lenght !

Une autre fenetre souvre en meme temps une Dofus 2.0 et me dis : un fichier ne semble pas pouvoir etre patché nous vous invitons a reprendre la version complete . http://www.dofus.com/fr/mmorpg/download/full.html
si quelqu'un peut maider sa serai cool !! je suis nouveau sa fais une semaine ke jutilise fedora ! jetai sur vista avant !

Hors ligne

#136 Le 24/06/2010, à 22:19

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

david385 a écrit :

bonjours j'ai suivi toutes les info necessaire pour installer dofus 2.0 sur fedora 13 . Adobe air est bien installe dofus egalement seul probleme lorsque je lance dofus par Dofus Updater il me dis dans une fenetre UpLancher Error : reading zip stream (entry reg/content/audio/barks/1401202.mp3) : bad lenght !

Une autre fenetre souvre en meme temps une Dofus 2.0 et me dis : un fichier ne semble pas pouvoir etre patché nous vous invitons a reprendre la version complete . http://www.dofus.com/fr/mmorpg/download/full.html
si quelqu'un peut maider sa serai cool !! je suis nouveau sa fais une semaine ke jutilise fedora ! jetai sur vista avant !

Salut,

Ton problème est complètement différent. C'est surement les patch qui ont été corrompu lors du téléchargement.
On supprime tous les patchs téléchargé à l'aide de cette commande :

rm -rf ~/Dofus_Paquet/share/.uplauncher

Ensuite tu relances l'updater qui va te retélécharger les patch. Si ça te refait la même erreur tu me pastbin (http://pastebin.com/) le contenu de /home/ton_nom/Dofus_Paquet/share/uplauncher.log

Hors ligne

#137 Le 24/06/2010, à 22:24

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

@christ02 + milkado :
Je test tout ça sur machine virtuelle mandriva et je vous dis ça.

Hors ligne

#138 Le 24/06/2010, à 23:34

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

@christ02 + milkado :

En fait la solution est assez simple.
Tout d'abord passez en root :

su

Et rentrez votre pass.

Ensuite exécutez cette commande :

ln -s /usr/lib/libjpeg.so.7.0.0 /usr/lib/libjpeg.so.62

Et la normalement ça devrait marcher.

Dernière modification par yoann21 (Le 24/06/2010, à 23:34)

Hors ligne

#139 Le 25/06/2010, à 00:11

Milkado

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Cela me repond ceci:

ln -s /usr/lib/libjpeg.so.7.0.0 /usr/lib/libjpeg.so.62
ln: creating symbolic link `/usr/lib/libjpeg.so.62': Le fichier existe.

Et l'updater ne marche toujours pas.

Hors ligne

#140 Le 25/06/2010, à 00:20

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Milkado a écrit :

Cela me repond ceci:

ln -s /usr/lib/libjpeg.so.7.0.0 /usr/lib/libjpeg.so.62
ln: creating symbolic link `/usr/lib/libjpeg.so.62': Le fichier existe.

Et l'updater ne marche toujours pas.

Es-tu sûr d'avoir eu le même résultat que christ02 ?

Que te renvoie exactement :

~/Dofus_Paquet/share/UpLauncher

EDIT: Autre chose, tu es en 32 bit ?

Dernière modification par yoann21 (Le 25/06/2010, à 00:21)

Hors ligne

#141 Le 25/06/2010, à 00:30

Milkado

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

32 bit

Cela me renvoie:
/home/l****/Dofus_Paquet/share/UpLauncher: error while loading shared libraries: liblber-2.4.so.2: cannot open shared object file: No such file or directory

Merci de ta présence et de ta rapidité big_smile

Hors ligne

#142 Le 25/06/2010, à 12:13

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Milkado a écrit :

32 bit

Cela me renvoie:
/home/l****/Dofus_Paquet/share/UpLauncher: error while loading shared libraries: liblber-2.4.so.2: cannot open shared object file: No such file or directory

Merci de ta présence et de ta rapidité big_smile

C'est étrange puisque normalement cette lib est incluse par défaut. Sous quelle version de mandriva es-tu ?

Quelques commandes dont tu me mettra le résultat :

rpm -qa | grep libldap
rpm -qa --filesbypkg | grep liblber
ls /usr/lib/liblber*
ldd ~/Dofus_Paquet/share/UpLauncher

Hors ligne

#143 Le 25/06/2010, à 13:13

Milkado

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

[luche@luche ~]$ rpm -qa | grep libldap
libldap2.3_0-2.3.38-3.1mdv2008.0
[luche@luche ~]$ rpm -qa --filesbypkg | grep liblber
libldap2.3_0              /usr/lib/liblber-2.3.so.0
libldap2.3_0              /usr/lib/liblber-2.3.so.0.2.26
[luche@luche ~]$ ls /usr/lib/liblber*
/usr/lib/liblber-2.3.so.0@  /usr/lib/liblber-2.3.so.0.2.26
[luche@luche ~]$ ldd ~/Dofus_Paquet/share/UpLauncher
/home/luche/Dofus_Paquet/share/UpLauncher: /usr/lib/libidn.so.11: no version information available (required by /home/luche/Dofus_Paquet/share/UpLauncher)
/home/luche/Dofus_Paquet/share/UpLauncher: /lib/i686/libc.so.6: version `GLIBC_2.7' not found (required by /home/luche/Dofus_Paquet/share/UpLauncher)
        linux-gate.so.1 =>  (0xffffe000)
        libidn.so.11 => /usr/lib/libidn.so.11 (0xb7f27000)
        liblber-2.4.so.2 => not found
        libldap_r-2.4.so.2 => not found
        librt.so.1 => /lib/i686/librt.so.1 (0xb7f1e000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0xb7eef000)
        libz.so.1 => /lib/libz.so.1 (0xb7edb000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb7b0f000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb7a7f000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb7a63000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb7a31000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb7a17000)
        libgio-2.0.so.0 => not found
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb79d5000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb795a000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb792b000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb78eb000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb78e6000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb78e1000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb7817000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb7814000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xb780c000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb77e5000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb77c2000)
        libdl.so.2 => /lib/libdl.so.2 (0xb77be000)
        libm.so.6 => /lib/i686/libm.so.6 (0xb7799000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb76ab000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb769f000)
        libc.so.6 => /lib/i686/libc.so.6 (0xb755f000)
        libpthread.so.0 => /lib/i686/libpthread.so.0 (0xb7547000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb7444000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb7423000)
        /lib/ld-linux.so.2 (0xb7f6e000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0xb738b000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0xb7364000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0xb7361000)
        libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0xb7358000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xb7345000)
        libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb733b000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb7338000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb7335000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb732f000)
        libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb72a8000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb7299000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb7290000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xb7287000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb727f000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb7275000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb7140000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb7127000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb7124000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb711d000)

Hors ligne

#144 Le 25/06/2010, à 14:26

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Milkado a écrit :

Tu as donc la 2008.0 ...
Comme on peut le voir certaines de tes lib sont trop anciennes.

C'est possible d'ajouter des versions plus récentes provenant de la 2010.0 par exemple mais ce n'est pas très propre vu que cela est fait manuellement sans utiliser de paquet rpm.

Je te conseille donc de passer à la version 2010.0 ou d'attendre la 2010.1 qui ne devrait pas tarder à sortir. (KDE 4 est bien mieux tu verras smile )

Mais si tu tiens vraiment à garder ta version courante j'essaierai de te récupérer les lib en question.

Hors ligne

#145 Le 25/06/2010, à 17:59

christ02

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

bonjour et merci beaucoup  yoann21 , l'updater se lance .

Hors ligne

#146 Le 26/06/2010, à 12:11

Milkado

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Ok merci je pense avoir régler le probleme, j'ai une autre machine avec Mandriva 2010 et l'updater se lance smile Mais Je dois encore régler le proxy car "l'application n'arrive pas a acceder a internet". Je ne sais pas du tout comment faire. Merci de votre aide

Hors ligne

#147 Le 26/06/2010, à 12:46

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Milkado a écrit :

Ok merci je pense avoir régler le probleme, j'ai une autre machine avec Mandriva 2010 et l'updater se lance smile Mais Je dois encore régler le proxy car "l'application n'arrive pas a acceder a internet". Je ne sais pas du tout comment faire. Merci de votre aide

Tu dois surement avoir une livebox ou consort.

- Il se peut que vous rencontriez des problèmes de connexion avec l'updater sur certaines box. Une solution consiste à mettre dans les réglages que vous utilisez un proxy sur le port 80.

Je t'ai fait une petit capture smile : ZgJWt4UA.jpg

Dernière modification par yoann21 (Le 26/06/2010, à 12:47)

Hors ligne

#148 Le 26/06/2010, à 13:02

Milkado

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

J'ai beau mettre port: 80 il ne veut toujours pas se connecter a internet sad

Hors ligne

#149 Le 28/06/2010, à 14:13

yoann21

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

Milkado a écrit :

J'ai beau mettre port: 80 il ne veut toujours pas se connecter a internet sad

Désolé pour le retard, le forum m'a pas mis de nouveau message sad

Tu as quoi comme box ?

Hors ligne

#150 Le 28/06/2010, à 15:00

david385

Re : [tuto]Installation de Dofus 2.0 par paquet debian et rpm (pour la doc)

salut yoann c'etait pour te remercier de l'explication qui ma bien servi jusqu'a aujourdui seulement !!! car dofus a u une nouvelle mise a jour et depuis l'uploader me dis la meme chose qu'un patch ne march pa mai cete foi si ta manip ne fonctionne pu ! et je ne c pa coment me servir du lien que tu ma fourni !! en attente de tes conseil merci !

Hors ligne

Haut de page ↑